/**
 * Neociclo Accord, Open Source B2Bi Middleware
 * Copyright (C) 2005-2010 Neociclo, http://www.neociclo.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $Id: OftpletListenerAdapter.java 461 2010-07-02 11:06:37Z rmarins $
 */
package org.neociclo.odetteftp.oftplet;

import org.neociclo.odetteftp.protocol.DeliveryNotification;
import org.neociclo.odetteftp.protocol.VirtualFile;

/**
 * @author Rafael Marins
 * @version $Rev: 461 $ $Date: 2010-07-02 08:06:37 -0300 (Fri, 02 Jul 2010) $
 */
public class OftpletListenerAdapter implements OftpletListener {

    protected Oftplet oftplet;

    public OftpletListenerAdapter() {
        super();
    }

    public OftpletListenerAdapter(Oftplet oftplet) {
        super();
        this.oftplet = oftplet;
    }

    public StartFileResponse acceptStartFile(VirtualFile virtualFile) {
        return null;
    }

    public void onDataReceived(VirtualFile virtualFile, long totalOctetsReceived) {
    }

    public void onNotificationReceived(DeliveryNotification notif) {
    }

    public boolean onReceiveFileEnd(VirtualFile virtualFile, long recordCount, long unitCount) {
        return false;
    }

    public void onReceiveFileError(VirtualFile virtualFile, AnswerReasonInfo reason) {
    }

    public void onReceiveFileStart(VirtualFile virtualFile, long answerCount) {
    }

}
