/**
 * Neociclo Accord, Open Source B2Bi Middleware
 * Copyright (C) 2005-2009 Neociclo, http://www.neociclo.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $Id: TransportType.java 459 2010-07-02 09:33:44Z rmarins $
 */
package org.neociclo.odetteftp;

/**
 * @author Rafael Marins
 * @version $Rev: 459 $ $Date: 2010-07-02 06:33:44 -0300 (Fri, 02 Jul 2010) $
 */
public enum TransportType {

    /**
     * Internet standard transport type.
     */
    TCPIP,

    /**
     * X.25 Microtronix More-Data-Bit Gateway transport type.
     */
    X25_MBGW;

//    /**
//     * Packet Switched Networks where the Stream Transmission Buffer shouldn't
//     * be enabled. Pure packet flows used over X.25 adapter or such a switcher.
//     */
//    PSN,
//
//    /**
//     * X.25 over TCP/IP transportation based on RFC1613.
//     */
//    XOT;
}
