/**
 * Neociclo Accord, Open Source B2Bi Middleware
 * Copyright (C) 2005-2010 Neociclo, http://www.neociclo.com
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $Id: OneToOneHandler.java 449 2010-06-30 14:59:37Z rmarins $
 */
package org.neociclo.odetteftp.security;

import javax.security.auth.callback.Callback;

/**
 * Define the handler for a specific Callback type.
 * 
 * @author Rafael Marins
 * @version $Rev: 449 $ $Date: 2010-06-30 11:59:37 -0300 (Wed, 30 Jun 2010) $
 */
public interface OneToOneHandler<T extends Callback> {

    void handle(T cb) throws java.io.IOException;

}
